commit:     3d06ec709d809481d0c9735070eb51ec0ce13325
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Thu Oct  5 14:37:45 2017 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Thu Oct  5 14:38:03 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3d06ec70

app-misc/tmux: Sync live ebuild.

Package-Manager: Portage-2.3.11, Repoman-2.3.3

 app-misc/tmux/tmux-9999.ebuild | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

diff --git a/app-misc/tmux/tmux-9999.ebuild b/app-misc/tmux/tmux-9999.ebuild
index 27997de379f..9e06490e5cc 100644
--- a/app-misc/tmux/tmux-9999.ebuild
+++ b/app-misc/tmux/tmux-9999.ebuild
@@ -38,11 +38,12 @@ RDEPEND="
                )
        )"
 
-DOCS=( CHANGES README TODO example_tmux.conf )
+DOCS=( CHANGES README TODO )
 
 PATCHES=(
-       # usptream fixes (can be removed with next version bump)
        "${FILESDIR}/${PN}-2.4-flags.patch"
+
+       # usptream fixes (can be removed with next version bump)
 )
 
 S="${WORKDIR}/${P/_/-}"
@@ -52,6 +53,9 @@ src_prepare() {
        # 1.7 segfaults when entering copy mode if compiled with -Os
        replace-flags -Os -O2
 
+       # regenerate aclocal.m4 to support earlier automake versions
+       rm aclocal.m4 || die
+
        default
        eautoreconf
 }
@@ -69,10 +73,10 @@ src_configure() {
 src_install() {
        default
 
-       if use vim-syntax; then
-               insinto /usr/share/vim/vimfiles/ftdetect
-               doins "${FILESDIR}"/tmux.vim
-       fi
+       einstalldocs
+
+       dodoc example_tmux.conf
+       docompress -x /usr/share/doc/${PF}/example_tmux.conf
 }
 
 pkg_postinst() {

Reply via email to